> ## Documentation Index
> Fetch the complete documentation index at: https://developers.resistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete tenant

> Delete organization Tenant



## OpenAPI

````yaml /tm_openapi.json delete /tenants/{tenant_id}
openapi: 3.0.1
info:
  title: Resistant Documents organization Tenants API - prod
  version: 0.0.1
  description: >-

    Resistant Documents provides this API to programmatically interact with its
    organization tenant management.

    Interaction with the API can be divided into three phases:


    1. organization access provisioning and its configuration. This is managed
    by the Resistant AI team and credentials for API access are provided.

    2. Managing tenants within organization - creation, deletion and listing.

    3. Configuration of an api access for provisioned tenant.
servers:
  - url: https://{environment}.resistant.ai/v0
    description: Tenant Management API
    variables:
      environment:
        default: api.tenants
        enum:
          - api.tenants
          - api.tenants.testing
security: []
paths:
  /tenants/{tenant_id}:
    delete:
      summary: Delete tenant
      description: Delete organization Tenant
      operationId: deleteTenant
      parameters:
        - in: path
          name: tenant_id
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Tenant successfully deleted.
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '415':
          $ref: '#/components/responses/UnsupportedMediaType'
        '429':
          $ref: '#/components/responses/TooManyRequests'
      security:
        - OAuth2:
            - tenants.write
components:
  responses:
    BadRequest:
      description: Bad request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Missing valid authentication credentials.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Access to the requested resource is forbidden.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: The requested resource was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    UnsupportedMediaType:
      description: Unsupported media type.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    TooManyRequests:
      description: Request quota was exceeded
  schemas:
    Error:
      title: Error
      type: object
      properties:
        message:
          title: Error message
          description: Detailed error message
          minLength: 0
          maxLength: 512
          type: string
      required:
        - message
  securitySchemes:
    OAuth2:
      type: oauth2
      description: >
        [JWT with private
        key](https://developer.okta.com/docs/api/openapi/okta-oauth/guides/client-auth/#jwt-with-private-key).

        [Java
        example](https://developer.okta.com/docs/guides/build-self-signed-jwt/java/main/#build-a-jwt-with-a-private-key)
         Please note that Token URL is specific for a given environment. Correct URL is in the corresponding environment documentation.
      flows:
        clientCredentials:
          tokenUrl: https://eu.id.resistant.ai/oauth2/aus17c172cLOCWEyk417/v1/token
          scopes:
            tenants.read: Read tenant configurations within the organization
            tenants.write: Manage and configure tenants within the organization
            tenants.applications.read: Read tenant applications
            tenants.applications.write: Manage tenant applications
            organization.read: Read organization configuration

````